function [line,B]=axis(c1,c2)
% LINE=AXIS(CIRCLE,CIRCLE) or [A,B]=AXIS(CIRCLE,CIRCLE)
%   Radical axis of two circles
z1=c1(1); z2=c2(1); h=z2-z1; d=abs(h);
r1=abs(c1(2)); r2=abs(c2(2)); r=sqrt(r1*r2);
if d<r*eps, line=[NaN;NaN]; end
line=z1+(0.5*(d+(r1-r2)*(r1+r2)/d)+[-i;i]*r)*sign(h); 
if nargout==2, B=line(2); line=line(1); end
